package com.tencent.mm.openim.room.a;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.protocal.protobuf.bgd;
import com.tencent.mm.sdk.platformtools.ab;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class b$b {
    public final List<String> cGa = new ArrayList();
    public final List<String> cGc = new ArrayList();
    public final List<String> cGd = new ArrayList();
    public final List<String> ehj = new ArrayList();
    public final List<String> ehk = new ArrayList();
    public final List<String> ehl = new ArrayList();

    public b$b() {
        AppMethodBeat.i(78976);
        AppMethodBeat.o(78976);
    }

    public final void q(LinkedList<bgd> linkedList) {
        AppMethodBeat.i(78977);
        Iterator it = linkedList.iterator();
        while (it.hasNext()) {
            bgd bgd = (bgd) it.next();
            int i = bgd.status;
            if (i == 0) {
                this.ehj.add(bgd.userName);
            } else if (i == 3) {
                ab.d("OpenIMChatRoomMember.Classifier", " blacklist : " + bgd.userName);
                this.ehk.add(bgd.userName);
            } else if (i == 1) {
                ab.d("OpenIMChatRoomMember.Classifier", " not user : " + bgd.userName);
                this.cGc.add(bgd.userName);
            } else if (i == 2) {
                ab.d("OpenIMChatRoomMember.Classifier", " invalid username : " + bgd.userName);
                this.cGa.add(bgd.userName);
            } else if (i == 4) {
                ab.d("OpenIMChatRoomMember.Classifier", " verify user : " + bgd.userName);
                this.cGd.add(bgd.userName);
            } else if (i != 5) {
                if (i == 6) {
                    this.ehl.add(bgd.userName);
                } else {
                    ab.w("OpenIMChatRoomMember.Classifier", "unknown member status : status = ".concat(String.valueOf(i)));
                }
            }
        }
        AppMethodBeat.o(78977);
    }
}
